Flash Player 10 or higher for Internet Explorer

May 01, 2015

I have recently been unable to use Articulate Studio '13 because I cannot download Flash Player 10. The error I receive is: "Flash Player 10 or higher for Internet Explorer is required to run Articulate Presenter Authoring. Would you like to go to a web page to download it now?" So when I try to download it, I receive a message that Flash Player was unable to register. I am using Google Chrome for most Flash-related web pages, but this doesn't help me with Articulate Studio. Any suggestions? Work arounds? Help!!

7 Replies